Bug 107671 - calc/writer finalized configuration items editable in UI
Summary: calc/writer finalized configuration items editable in UI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2017-05-07 08:53 UTC by Oliver Brinzing
Modified: 2020-12-27 03:36 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
finalize demo (2.86 KB, application/vnd.openofficeorg.extension)
2017-05-07 08:53 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2017-05-07 08:53:44 UTC
Created attachment 133114 [details]
finalize demo

steps to reproduce:
- install attached "finalize_demo.oxt"
- check items in Tools/Options...

the items finalized in calc.xcu/writer.xcu are still editable.
a user can change the value and work with the new configuration
until next start.
Comment 1 riesslibo 2017-05-07 13:15:05 UTC
Is it related to 

#46279 ?

https://bugs.documentfoundation.org/show_bug.cgi?id=46279
Comment 2 Oliver Brinzing 2017-05-07 14:46:00 UTC
no, #46279 deals with restart after installing an extension
Comment 3 Buovjaga 2017-05-07 17:02:09 UTC
LibO crashes for me after I hover for a while in the start center.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: 6e4cba99bb35e6697b94309eedd1a08ebea2dc68
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 5th 2016
Comment 4 Buovjaga 2017-05-07 17:02:59 UTC
..and the UI is crazy and flickering. Not sure what is the point of this extension.
Comment 5 Oliver Brinzing 2017-05-07 17:43:22 UTC
the extension contains 3 configuration files (calc.xcu,writer.xcu,general.xcu),
changing some settings in Tools/Options... to demonstrate, that 
finalized values are not always disabled in UI.

you can find the files in:
.\user\uno_packages\cache\uno_packages\[...].tmp_\finalize_demo.oxt\registry\

a demo setting "VCL/ForceOpenGL" in general.xcu forces OpenGL to be enabled.
this can be the root cause for flickering/crashing.
setting the value to "false" should fix the problem.
Comment 6 Buovjaga 2017-05-12 14:40:47 UTC
Ok, confirmed with Writer options Print - Text placeholder and Print automatically inserted blank pages.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: 8891472e1f9c5e452a4e8d55241eeba118274092
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 12th 2016
Comment 7 Gabor Kelemen (allotropia) 2018-07-31 23:15:09 UTC
This is a somewhat complex report, so let's see what's in the package and what does still apply in a current LO master: 

general.xcu:

	<node oor:name="Misc">
		<!-- Tools/Options.../LibreOffice/General -->
		<prop oor:name="UseSystemFileDialog" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
- Removed from UI, no longer an issue: https://cgit.freedesktop.org/libreoffice/core/commit/?id=65ee299a0c0e9044d809e58c3c5e75d05ad76f0e

		<prop oor:name="CollectUsageInformation" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
- Fixed in commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=f4fcec5f0802620192c31aad24db436ead1b2036

		<!-- Tools/Options.../LibreOffice/Advanced -->
		<prop oor:name="ExperimentalMode" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
- Fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=f747390b4f79d88dcccec8aa5e25d3444aac9a23

		<!-- Tools/Options.../LibreOffice/OpenCL -->
		<prop oor:name="UseOpenCL" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
		<prop oor:name="UseSwInterpreter" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
- Fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=6ebca1d1094d8fd85e485e504e810a1954befcc3

 	<!-- Tools/Options.../LibreOffice/View -->
	<node oor:name="VCL">
		<prop oor:name="ForceOpenGL" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
		<prop oor:name="UseOpenGL" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
- Fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=81a49f68d61f984503b89e0766bea81ee4733d9c

	<!-- Tools/Options.../LibreOffice/Security -->
	<node oor:name="Security">
		<node oor:name="Scripting">
			<prop oor:name="DisableMacrosExecution" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
-I can't find this on the UI (anymore?). I know if this is set to true (as a setting, not the finalized attribute) it will disable the Macro Security button on the Security page.
How is this setting being finalized causing a problem?

			<prop oor:name="MacroSecurityLevel" oor:type="xs:int" oor:op="replace" oor:finalized="true">
- Seems to have worked ever since 2004: https://cgit.freedesktop.org/libreoffice/core/commit/?id=58e7ab181880ad71fe2858957f3781c1891ac8f9 

	<!-- Tools/Options.../Load/Save/General -->
	<node oor:name="Save">
		<node oor:name="Document">
			<prop oor:name="LoadPrinter" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
		<node oor:name="URL">
			<prop oor:name="FileSystem" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
			<prop oor:name="Internet" oor:type="xs:boolean" oor:op="replace" oor:finalized="true">
-Fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=14171010959a4ebf0f6373b6e7f20d1f0741d5a4

Writer and Calc seem to be a bit worse, but the general part is now quite foolproof.
Comment 8 Xisco Faulí 2018-12-27 09:16:01 UTC
Dear Gabor Kelemen,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 9 QA Administrators 2020-12-27 03:36:06 UTC
Dear Oliver Brinzing,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug